fop 1.1

## org.apache.fop.render.ps.extensions
Class PSExtensionAttachment

    java.lang.Object
      org.apache.fop.render.ps.extensions.PSExtensionAttachment

All Implemented Interfaces:
  ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable

Direct Known Subclasses:
  PSCommentAfter, PSCommentBefore, PSPageTrailerCodeBefore, PSSetPageDevice, PSSetupCode

    public abstract class PSExtensionAttachment

extends java.lang.Object
implements ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable

This is the pass-through value object for the PostScript extension.

Field Summary
`static java.lang.String` `CATEGORY` The category URI for this extension attachment.
`protected java.lang.String` `content` extension node content

Constructor Summary
`PSExtensionAttachment()` No-argument contructor.
`PSExtensionAttachment(java.lang.String content)` Default constructor.

Method Summary
`java.lang.String` `getCategory()` This method returns a category URI that allows a processor (layout manager or renderer) to determine if it supports this object.
`java.lang.String` `getContent()`
`protected abstract java.lang.String` `getElement()`
`java.lang.String` `getType()`
`void` `setContent(java.lang.String content)` Sets the content for the setup code object.
`void` `toSAX(org.xml.sax.ContentHandler handler)` Generates SAX events representing the object's state.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### content

    protected java.lang.String content

  extension node content

### CATEGORY

    public static final java.lang.String CATEGORY

  The category URI for this extension attachment.

  See Also:
    Constant Field Values

Constructor Detail

### PSExtensionAttachment

    public PSExtensionAttachment(java.lang.String content)

  Default constructor.

  Parameters:
    `content` - the content of the setup code object

### PSExtensionAttachment

    public PSExtensionAttachment()

  No-argument contructor.

Method Detail

### getCategory

    public java.lang.String getCategory()

  Description copied from interface: `ExtensionAttachment`
  This method returns a category URI that allows a processor (layout manager or renderer) to determine if it supports this object.

  Specified by:
    `getCategory` in interface `ExtensionAttachment`
  Returns:
    the category URI
  See Also:
    `ExtensionAttachment.getCategory()`

### getContent

    public java.lang.String getContent()

  Returns:
    the content

### setContent

    public void setContent(java.lang.String content)

  Sets the content for the setup code object.

  Parameters:
    `content` - The content to set.

### toSAX

    public void toSAX(org.xml.sax.ContentHandler handler)
               throws org.xml.sax.SAXException

  Generates SAX events representing the object's state.

  Specified by:
    `toSAX` in interface `org.apache.xmlgraphics.util.XMLizable`
  Parameters:
    `handler` - ContentHandler instance to send the SAX events to
  Throws:
    `org.xml.sax.SAXException` - if there's a problem generating the SAX events
  See Also:
    `XMLizable.toSAX(org.xml.sax.ContentHandler)`

### getType

    public java.lang.String getType()

  Returns:
    type name

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of this object
  See Also:
    `Object.toString()`

### getElement

    protected abstract java.lang.String getElement()

  Returns:
    element

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.